/**
 * 引导页
 **/
(function($, owner) {

    /**
     * 选车API接口
     * cid||type||ts||nettype||clientip||deviceid||pagenum||page||searchval||type||gearbox||displacement||carcolor
     */
    owner.getSearchToken = function() {
        var token = app.commonParam();
        var pagenum = 10;
        var page = 1;
        var searchval = '';
        var type = '';
        var gearbox = '';
        var displacement = '';
        var carcolor = '';

        token = token + pagenum + "||" + page + "||" + searchval + "||" + type + "||" + gearbox + "||" + displacement + "||" + carcolor;
        token = encrypt(token);
        console.log(apiUrl + "car-search.html?token=" + token)
        return token;
    }

    /**
     * 订单API接口
     * cid||type||ts||nettype||clientip||deviceid||account||pagenum||page||orderstatus
     */
    owner.getOrderToken = function() {
        var token = app.commonParam();
        var account = '';
        var pagenum = 10;
        var page = 1;
        var orderstatus = 0;

        token = token + account + "||" + pagenum + "||" + page + "||" + orderstatus;
        token = encrypt(token);
        console.log(apiUrl + "car-order.html?token=" + token)
        return token;
    }

    /**
     * 订单详情API接口
     * cid||type||ts||nettype||clientip||deviceid||id
     */
    owner.getOrderInfoToken = function(carid) {
        if(!carid) {
            plus.nativeUI.toast('订单详情信息错误');
        }
        var token = app.commonParam();
        token = token + carid;
        token = encrypt(token);
        console.log(apiUrl + "car-info.html?token=" + token)
        return token;
    }

    /**
     * 汽车详情API接口
     * cid||type||ts||nettype||clientip||deviceid||id
     */
    owner.getCarInfoToken = function(carid) {
        if(!carid) {
            plus.nativeUI.toast('汽车详情信息错误');
        }
        var token = app.commonParam();
        token = token + carid;
        token = encrypt(token);
        console.log(apiUrl + "car-info.html?token=" + token)
        return token;
    }

}(mui, window.car = {}));