define(function(require, exports, module) {
	"use strict";
	//每一个页面都要引入的工具类
	var CommonTools = require('CommonTools_Core');
	//window操作
	var WindowTools = require('WindowTools_Core');
	//每一个页面都要引入的工具类
	// initready 要在所有变量初始化做完毕后
	CommonTools.initReady(initData);

	function initData(isPlus) {
		CommonTools.lockOrientation(true);
		CommonTools.importFile([
			'js/libs/mui.zoom.js',
			'js/libs/mui.previewimage.js',
			'js/libs/swiper.min.js'
		], function() {
			initDefault()
		})
	}

	function initDefault() {
		//mui初始化
		mui.init({
			swipeBack: false,
		});

		mui.previewImage();

		mui.plusReady(function() {
			console.log("当前页面URL：" + plus.webview.currentWebview().getURL());

			//cid||type||ts||nettype||clientip||deviceid||account
			var token = app.commonParam();
			token = token + plus.storage.getItem("user_account");
			token = encrypt(token);
			console.log(apiUrl + "p-getsupplyfile.html?token=" + token)

			mui.ajax({
				type: "post",
				url: apiUrl + "p-getsupplyfile.html",
				async: false,
				data: {
					token: token
				},
				dataType: "jsonp",
				success: function(myData) {
					myData = cryptFlag == 1 ? decrypt(myData) : myData;
					myData = JSON.parse(myData);
					console.log("myData = " + JSON.stringify(myData))
					if(myData['code'] == 1) {

						var tmp_identitycard = '<img class="w100" src="' + myData['data']['rows'][0]['identitycard'] + '" data-preview-src="" data-preview-group="2">';
						var tmp_driverlicense = '<img class="w100" src="' + myData['data']['rows'][0]['driverlicense'] + '" data-preview-src="" data-preview-group="2">';
						var tmp_bankcard = '<img class="w100" src="' + myData['data']['rows'][0]['bankcard'] + '" data-preview-src="" data-preview-group="2">';
						$(".tmp_identitycard").empty().append(tmp_identitycard);
						$(".tmp_driverlicense").empty().append(tmp_driverlicense);
						$(".tmp_bankcard").empty().append(tmp_bankcard);

					} else {
						plus.nativeUI.toast(myData['msg']);
						return;
					}
				},
				error: function() {
					plus.nativeUI.toast("数据错误");
					return;
				}
			});

			//重写返回逻辑
			mui.back = function() {
				plus.webview.currentWebview().hide("auto", 300);
			}
			var self = plus.webview.currentWebview();
			self.addEventListener("hide", function(e) {
				window.scrollTo(0, 0);
			}, false);

		});

	}
})