define(function(require, exports, module) {
    "use strict";
    //每一个页面都要引入的工具类
    var CommonTools = require('CommonTools_Core');
    //window操作
    var WindowTools = require('WindowTools_Core');
    //每一个页面都要引入的工具类
    // initready 要在所有变量初始化做完毕后
    CommonTools.initReady(initData);

    function initData(isPlus) {
        CommonTools.lockOrientation(true);

        //      initDefault()
        CommonTools.importFile([], function() {
            initDefault()
        })
    }

    function initDefault() {
        console.log(123)
        //mui初始化
        mui.init({
            swipeBack: false,
        });
        //属性选择
        //var $mask = $('.mask'),
        var $selectAttrBtn = $('.select-attr-btn'),
            $selectAttrBox = $('.select-attr-box'),
            $selectAttrClose = $('.select-attr-close');
        $selectAttrBtn.click(function() {
            //	$selectAttrBox.addClass('active');
            mui('#sheet1').popover('toggle');
            //	$mask.addClass('active')
        })
        $selectAttrClose.click(function() {
            $selectAttrBox.removeClass('active');
            //	$mask.removeClass('active')
        })
        //$mask.click(function(){
        //	$selectAttrBox.removeClass('active');
        //	$mask.removeClass('active')
        //})
        mui.plusReady(function() {
            console.log("当前页面URL：" + plus.webview.currentWebview().getURL());
            //设置竖屏
            plus.screen.lockOrientation("portrait-primary");
            app.checkUserLogin();
            
            plus.nativeUI.showWaiting("加载中...");
            
            console.log("asdfasdfasdf")

            var channel_id = null;
            var self = plus.webview.currentWebview();
            var carid = self.iidd;
            console.log("productpay carid = " + carid)

            //获取汽车详情页面接口数据
            //cid||type||ts||nettype||clientip||deviceid||id
            var orderid = '';
            var token = app.commonParam();
            token = token + carid;
            token = encrypt(token);
            console.log(apiUrl + "car-info.html?token=" + token)

            mui.ajax({
                type: "post",
                url: apiUrl + "car-info.html",
                async: false,
                data: {
                    token: token
                },
                dataType: "jsonp",
                success: function(myData) {
                    myData = cryptFlag == 1 ? decrypt(myData) : myData;
                    myData = JSON.parse(myData);
                    console.log("myData = " + JSON.stringify(myData))

                    if(myData['code'] == 1) {
                        console.log("caricon = " + myData['data']['rows'][0]['caricon'])

                        $("#lbl_orderid").html(plus.storage.getItem("orderID"));
                        $("#product_carname").html(myData['data']['rows'][0]['carname']);
                        $("#cariconpath").attr('src', myData['data']['rows'][0]['coverimage']);
                        $("#detailname").html(myData['data']['rows'][0]['detailname']);

                        $("#purchasetax").html(myData['data']['rows'][0]['purchasetax']);
                        $("#insurance").html(myData['data']['rows'][0]['insurance']);
                        $("#carcardfee").html(myData['data']['rows'][0]['carcardfee']);
                        $("#nakedfee").html(myData['data']['rows'][0]['nakedfee']);
                        $("#servicefee").html(myData['data']['rows'][0]['servicefee']);
                        $("#guidancefee").html(myData['data']['rows'][0]['guidancefee']);
                        $("#memo").html(myData['data']['rows'][0]['memo']);

                        $("#price").html(plus.storage.getItem('user_account') ? myData['data']['rows'][0]['price'] : '登录后显示')
                        $("#tmpDeposit").html(myData['data']['rows'][0]['car_deposit'] + '元');
                        
                        plus.nativeUI.closeWaiting();
                        
                    } else {
                        plus.nativeUI.toast(myData['msg']);
                        return;
                    }
                },
                error: function() {
                    plus.nativeUI.toast("数据错误");
                    return;
                }
            });

            var support_channel = ['alipay', 'wxpay'];
            var channels = '';
            plus.payment.getChannels(function(s) {
                var $payStyle = $('.payStyle');
                for(var i = 0; i < s.length; i++) {
                    if(s[i].serviceReady) {
                        if(~support_channel.indexOf(s[i].id)) {
                            console.log(s[i].description + '支付')
                            var btn = '<div id="' + s[i].id + '" class="item pay borderT">' + s[i].description + '支付 </div>'
                            var html = $payStyle.html() + btn
                            $payStyle.html(html);
                        }
                    }
                }
                channels = s;
            }, function(e) {
                console.log("获取支付渠道信权限失败:" + e.message);
            });

            mui('.payStyle').on('tap', '.item', function() {
                switch(this.id) {
                    case 'alipay':
                        channel_id = 'ALI_APP';
                        break;
                    case 'wxpay':
                        channel_id = 'WX_APP';
                        break;
                        //                  case 'unionpay':
                        //                      channel_id = 'UNION_APP';
                        //                      break;
                    default:
                        break;
                }
                $(this).addClass('active').siblings('.item').removeClass('active')
                //      console.log("channel_id = " + channel_id + ' this.id = ' + this.id)

            })

            /*
             *  发起支付
             *  payData: 支付参数
             *  cbsuccess: 支付成功回调
             *  cberror: 支付失败回调
             */
            document.getElementById('btnSubmit').addEventListener('tap', function() {
                console.log('btnSubmit channel_id = ' + channel_id + ' -- orderid = ' + orderid)
                var payData = '';

                checkPay(payData, function(result) {
                    plus.nativeUI.closeWaiting();
                    mui.back();
                    //                  plus.webview.close('productpay.html')
                    app.goWebUrl('supplyfile');

                    //                  plus.nativeUI.closeWaiting();
                    //                  mui.back();
                    //                  plus.webview.hide('productinfo.html')
                    //
                    //                  mui.back();

                    //                  var LaunchWebview = plus.webview.getLaunchWebview();
                    //触发主页面的goorder事件
                    //                  mui.fire(LaunchWebview, 'goorder');
                    //                  mui.fire(LaunchWebview, 'supplyfile.html');

                    //          document.getElementById("status").innerHTML = 'success';
                    //          document.getElementById("status").style.color = 'green'
                    //          document.getElementById("status_msg").innerHTML = "-------- 支付成功 --------" + "\n感谢您的支持,我们会继续努力完善产品";
                    console.log(result);
                }, function(e) {
                    plus.nativeUI.closeWaiting();
                    //                  plus.nativeUI.toast(e.message);
                    plus.nativeUI.toast("支付失败");
                    //                  console.log("error = " + e.message)
                    //          document.getElementById("status").innerHTML = 'failed';
                    //          document.getElementById("status").style.color = 'red'
                    //          document.getElementById("status_msg").innerHTML = "-------- 支付失败 --------\n" + "错误码：" + e.code + '\n' + e.message;
                });

            }, false);

            var checkPay = function(data, cbsuccess, cberror) {
                goPay(data, cbsuccess, cberror);
            };

            var goPay = function(payData, cbsuccess, cberror) {
                var w = null;

                if(w) return;

                w = plus.nativeUI.showWaiting();
                var payChannel = getPayChannel(channel_id);
                console.log("-- payChannel = " + JSON.stringify(payChannel))

                var tmpPayType = channel_id == 'ALI_APP' ? 1 : (channel_id == 'WX_APP' ? 2 : (channel_id == 'UNION_APP' ? 3 : 0));

                //cid||type||ts||nettype||clientip||deviceid||account||paytype||orderid
                var token = app.commonParam();
                token = token + plus.storage.getItem("user_account") + '||' + tmpPayType + '||' + plus.storage.getItem("orderID"); // + orderid;
                //plus.nativeUI.toast("token = " + token);

                console.log("token = " + token)
                token = encrypt(token);
                console.log(apiUrl + "p-payconfig.html?token=" + token)

                mui.ajax({
                    type: "post",
                    url: apiUrl + "p-payconfig.html",
                    async: true,
                    data: {
                        token: token,
                        total: 0.01
                    },
                    dataType: "jsonp",
                    success: function(myData) {
                        console.log("myData 111 = " + JSON.stringify(myData));
                        myData = cryptFlag == 1 ? decrypt(myData) : myData;
                        myData = JSON.parse(myData);
                        if(myData['code'] == 1) {
                            if(payChannel) {
                                var paySrc = '';
                                if(payChannel.id === 'alipay') {
                                    paySrc = myData.data.gourl;
                                    //plus.payment.request(payChannel, myData['data']['rows'][0]['gourl'], cbsuccess, cberror);
                                } else if(payChannel.id === 'wxpay') {
                                    var statement = {};
                                    statement.appid = myData.data.appid;
                                    statement.noncestr = myData.data.noncestr;
                                    statement.package = myData.data.package;
                                    statement.partnerid = myData.data.partnerid;
                                    statement.prepayid = myData.data.prepayid;
                                    statement.timestamp = parseInt(myData.data.timestamp);
                                    statement.sign = myData.data.sign;
                                    paySrc = JSON.stringify(statement);

                                }
                                console.log(' -- paySrc = ' + paySrc)
                                plus.payment.request(payChannel, paySrc, cbsuccess, cberror);
                            } else if(channel_id == 'UN_WEB') {
                                //银联在线支付

                            }
                        } else {
                            plus.nativeUI.toast(myData['msg']);
                            return;
                        }
                    },
                    error: function() {
                        plus.nativeUI.toast("数据错误");
                        return;
                    }
                });
            }

            /**
             * 获取支付通道
             * 
             */
            function getPayChannel(bc_channel) {
                var dc_channel_id = '';
                switch(bc_channel) {
                    case 'ALI_APP':
                        dc_channel_id = 'alipay';
                        break;
                    case 'WX_APP':
                        dc_channel_id = 'wxpay';
                        break;
                    default:
                        break;
                }

                for(var i in channels) {
                    if(channels[i].id == dc_channel_id) {
                        return channels[i];
                    }
                }
                return null;
            }

        });
    }
})