define(function(require, exports, module) {
	"use strict";
	//每一个页面都要引入的工具类
	var CommonTools = require('CommonTools_Core');
	//window操作
	var WindowTools = require('WindowTools_Core');
	//每一个页面都要引入的工具类
	// initready 要在所有变量初始化做完毕后
	CommonTools.initReady(initData);
	var count = 0;
	var page = 1;
	var pagenum = 4;
	var searchval = '';
	var type = '';
	var gearbox = '';
	var displacement = '';
	var color = '';
	var switchs = true;
	var mask = mui.createMask(function() {
		$('.nav-select-js li').removeClass('nav_active')
		$('.select').removeClass('active')
//		ModalHelper.beforeClose()
//		$('body,html').css('overflowY','scroll')
	});
	function initValue() {
		count = 0;
		page = 1;
		pagenum = 4;
		searchval = '';
//		type = '';
//		gearbox = '';
//		displacement = '';
//		color = '';
		switchs = true;
		$(".car_list").html('');
	}

	function initData(isPlus) {
		CommonTools.lockOrientation(true);
		CommonTools.importFile([
			'js/libs/swiper.min.js'
			,'js/libs/scrollMore.js',], function() {
			initDefault()
		})
	}

	function initDefault() {
		//mui初始化
		mui.init({
			gestureConfig: {
				doubletap: true
			},
			
		});

		var contentWebview = null;

		document.querySelector('header').addEventListener('doubletap', function() {
			if(contentWebview == null) {
				contentWebview = plus.webview.currentWebview().children()[0];
			}
			contentWebview.evalJS("mui('#pullrefresh').pullRefresh().scrollTo(0,0,100)");
		});
		mui.plusReady(function() {
			console.log("当前页面URL：" + plus.webview.currentWebview().getURL());
			getData()
			//监听首页跳转过来
			document.addEventListener('get_search_type', function(event) {
				initValue();
				mask.close()
				$(".car_list").hide();
				plus.nativeUI.showWaiting("加载中...");
				type = event.detail.iidd;
				console.log('464646464445--', type)
				if(!type) {
					plus.nativeUI.toast('数据错误');
					mui.back()
					return;
				}
				getData()
				setTimeout(function(){
					$(".car_list").fadeIn(1000)
					plus.nativeUI.closeWaiting();
				},1000)
			})
			//搜索
			$('#searchInput').keydown(function(e){
				mask.close()
				var $this = $(this);
				var val = $this.val()
				if(e.keyCode != 13) return;
				if(!val){
					plus.nativeUI.toast("输入不能为空！");
					return;
				}
				$this.blur();
				initValue();
				$('.is-select').hide();
				searchval = val;
				$('#pullrefresh').css('paddingTop','4rem');
				getData()
			}).focus(function(){

			}).blur(function(){

			})
			var $scrollMore = $('.scrollMore');
			scrollMore($scrollMore[0], function() {
				getData()
			})
		});
	}
	//获取数据
	function getData() {
		if(!switchs) return;
		var deviceID = app.getDeviceID();
		var token = app.commonParam();
		token = token + pagenum + '||' + page + '||' + searchval + '||' + type + '||' + gearbox + '||' + displacement + '||' + color;
		console.log("token = " + token)
		token = token.trim();
		token = encrypt(token);
		
		console.log(apiUrl + "car-search.html?token=" + token)
		mui.ajax({
			type: "post",
			url: apiUrl + "car-search.html",
			async: true,
			data: {
				token: token
			},
			dataType: "jsonp",
			success: function(myData) {
				myData = decrypt(myData);
				var jsonData = JSON.parse(myData);
				console.log("code = " + myData)
				if(jsonData['code'] == 1) {

					var html = tpl($('#list-tpl').html(), jsonData['data']['row'])
					console.log('html---', html)
					$(".car_list").append(html);
					//初始化数据
					if(page == 1) {
						var htmlNav = tpl($('#select-nav-tpl').html(), jsonData['data']['select'])
						$('.common-select').html(htmlNav)
						var $select = $('.select');
						var $li = $('.nav-select-js li');
						$li.click( function(e) {
							e.stopPropagation()
							e.preventDefault()
							var $this = $(this);
							var index = $this.index();
							
							$this.toggleClass('nav_active').siblings('li').removeClass('nav_active')
							$select.eq(index).toggleClass('active').siblings('.active').removeClass('active')
							if($this.hasClass('nav_active')){
								mask.show();
//								ModalHelper.afterOpen()
//								$('body,html').css('overflowY','hidden')
							}else{
								mask.close()
								
//								$('body,html').css('overflowY','scroll')
							}
							
						})
						
						var selectAttr=[];
						$select.find('label').click(function(e) {
							e.stopPropagation()
							e.preventDefault()
							initValue()
							var $this = $(this);
							var id = $this.attr('data-id');
							var name = $this.attr('data-name');
							var typename = $this.find('span').text()
							$('.is-select').eq($this.parent().index()-1).show()
								.attr('data-name',name)
								.find('span').html(typename)
							$('.is-select:gt('+($this.parent().index()-1)+')').hide()
							updata(name,id)
							$this.parent().removeClass('active')
							mask.close()

							$('.selectShow').css('background','#efefef')
							$('#pullrefresh').css('paddingTop','6rem')
						})

					}
					if(jsonData['data']['row'].length < pagenum ) {
						console.log('-----------------------------------------' + jsonData['data']['count']);
						$('.get-state').html('全部加载完成！')
						switchs=false;
//						mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
					} else {
//						mui('#pullrefresh').pullRefresh().endPullupToRefresh();
						page++;
						$('.get-state').html('加载中...')
					}
				} else {
					plus.nativeUI.toast(jsonData['msg']);
				}
			},
			error: function() {
				plus.nativeUI.toast("数据错误");
			}
		})
	}
	$('.selectShow').on('tap','.is-select',function(){
		var name = $(this).attr('data-name');
		var index = $(this).index()
		updata(name,'')

		$(this).hide();
		$('.is-select:gt('+index+')').hide()

		
		if($('.is-select:hidden').length>3){
			$('#pullrefresh').css('paddingTop','4rem');
			$('.selectShow').css('background','transparent')
		}
	})
	//更新数据
	function updata(name,id){
		switch(name) {
			case 'type':
				type = id
				gearbox = ''
				color = ''
				displacement = ''
				break;
			case 'gearbox':
				gearbox = id
				color = ''
				displacement=''
				break;
			case 'color':
				color = id
				displacement=''
				break;
			case 'displacement':
				displacement = id
				break;
		}
		page = 1
		plus.nativeUI.showWaiting();
		$(".car_list").html('');
		searchval=''
		switchs=true;
		getData()
		plus.nativeUI.closeWaiting();
	}
})