var getStyle = function(element, attr, NumberMode) {
	var NumberMode = NumberMode || 'int'
	var target;
	// scrollTop 获取方式不同，没有它不属于style，而且只有document.body才能用
	if(attr === 'scrollTop') {
		target = element.scrollTop;
	} else if(element.currentStyle) {
		target = element.currentStyle[attr];
	} else {
		target = document.defaultView.getComputedStyle(element, null)[attr];
	}
	//在获取 opactiy 时需要获取小数 parseFloat
	return NumberMode == 'float' ? parseFloat(target) : parseInt(target);
}
var scrollMore =  function(el, callback) {
	var windowHeight = window.screen.height;
	var height;
	var setTop;
	var paddingBottom;
	var marginBottom;
	var requestFram;
	var oldScrollTop;
	var scrollEl;
	var heightEl;
	var scrollType = el.getAttribute('type');
	var scrollReduce = 2;
	if(!scrollType) {
		scrollEl = el;
		heightEl = el.children[0];
	} else {
		scrollEl = document.body;
		heightEl = el;
	}

	el.addEventListener('touchstart', function() {
		height = heightEl.clientHeight;
		
		setTop = el.offsetTop;
		paddingBottom = getStyle(el, 'paddingBottom');
		marginBottom = getStyle(el, 'marginBottom');
	}, false)

	el.addEventListener('touchmove', function(){
		loadMore();
	}, false)

	el.addEventListener('touchend', function(){
		oldScrollTop = scrollEl.scrollTop;
		moveEnd();
	}, false)

	var moveEnd = function() {
		requestFram = requestAnimationFrame(function() {
			if(scrollEl.scrollTop != oldScrollTop) {
				oldScrollTop = scrollEl.scrollTop;
				moveEnd()
			} else {
				cancelAnimationFrame(requestFram);
				height = heightEl.clientHeight;
				loadMore();
			}
		})
	}

	var loadMore = function() {
//		console.log(scrollEl, heightEl)
		console.log((scrollEl.scrollTop )+'--'+(height))
		if(scrollEl.scrollTop + windowHeight >= height + setTop + paddingBottom + marginBottom - scrollReduce) {
			if(callback) {
				callback()
			}

			console.log('到底了~~')
		}
	}
}